getPurchaseOrders
READGet purchase orders.
POST /api/v1/purchasing/getPurchaseOrders
curl -X POST '<your-host>/api/v1/purchasing/getPurchaseOrders' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"args": {}
}'Response
{
"results": [
{
"id": "string",
"purchaseOrderId": "string",
"revisionId": 0,
"status": "Closed",
"orderDate": "string",
"supplierId": "string",
"supplierReference": "string",
"assignee": "string",
"companyId": "string",
"customFields": "…",
"createdAt": "string",
"createdBy": "string",
"updatedAt": "string",
"updatedBy": "string",
"thumbnailPath": "string",
"itemType": "Part",
"orderTotal": 0,
"receivableQuantity": 0,
"receivedQuantity": 0,
"shippingMethodId": "string",
"receiptRequestedDate": "string",
"receiptPromisedDate": "string",
"deliveryDate": "string",
"dropShipment": true,
"paymentTermId": "string",
"createdByFullName": "string",
"assigneeFullName": "string"
}
],
"count": null
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"args": {
"type": "object",
"properties": {
"limit": {
"type": "integer",
"default": 100
},
"offset": {
"type": "integer",
"default": 0
},
"search": {
"type": [
"string",
"null"
]
},
"status": {
"type": [
"string",
"null"
]
},
"supplierId": {
"type": [
"string",
"null"
]
}
}
}
}
}